<?php



$_settingLabel		= __('Einstellungen Speichern und Neu',$PLG_ID);
$_label_grp_global	= __('Allgemeine Einstellungen',$PLG_ID);

$_labelchkBx1		= __('Artikel publizieren und neu',$PLG_ID);
$_labelchkBx2		= __('Artikel aktualisieren und zur &Uuml;bersicht',$PLG_ID);

$_labelchkBx3		= __('Seite publizieren und neu',$PLG_ID);
$_labelchkBx4		= __('Seite aktualisieren und zur &Uuml;bersicht',$PLG_ID);

if(isset($_POST['Submit'])){
	saveSettingsSaveAndNew();
} 

function saveSettingsSaveAndNew(){
	$_savdata = array(
		'postNew' => $_POST['postNew'],
		'postRef' => $_POST['postRef'],
		'pageNew' => $_POST['pageNew'],
		'pageRef' => $_POST['pageRef']
	);
	
	$_savdata = serialize($_savdata);
	update_option('save_and_new_option', $_savdata);
	
}


?>


<style>
<?php include 'style.css';?>
</style>


<div class="wrap">
<form action="" method="post" id="settings">
	<?php screen_icon(); ?>
	<h2><?php echo esc_html( $_settingLabel ); ?></h2>
	
	<fieldset>
		<legend><?php echo $_label_grp_global; ?></legend>
		<table>
			<tr>
				<td><input type="checkbox" value="1" name="postNew" <?php if(dataReaderSaveAndNew('postNew') == '1') echo 'checked="checked"'; ?>></td>
				<td><label for="postNew"> <?php echo $_labelchkBx1; ?></label></td>
			</tr>
			<tr>
				<td><input type="checkbox" value="1" name="postRef" <?php if(dataReaderSaveAndNew('postRef') == '1') echo 'checked="checked"'; ?>></td>
				<td><label for="postRef"> <?php echo $_labelchkBx2; ?></label></td>
			</tr>			
			<tr>
				<td><input type="checkbox" value="1" name="pageNew" <?php if(dataReaderSaveAndNew('pageNew') == '1') echo 'checked="checked"'; ?>></td>
				<td><label for="pageNew"> <?php echo $_labelchkBx3; ?></label></td>
			</tr>
			<tr>
				<td><input type="checkbox" value="1" name="pageRef" <?php if(dataReaderSaveAndNew('pageRef') == '1') echo 'checked="checked"'; ?>></td>
				<td><label for="pageRef"> <?php echo $_labelchkBx4; ?></label></td>
			</tr>			
			
		</table>
	</fieldset>
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
	</p>	
</form>
</div>